#include <iostream>
#include<string>
using namespace std;


int main() {

string a,b,c;
cin >> a >> b >> c;

string komb[6];
komb[0]=a+b+c;
komb[1]=a+c+b;
komb[2]=b+a+c;
komb[3]=b+c+a;
komb[4]=c+a+b;
komb[5]=c+b+a;


double kombint[6];
for(int i=0;i<6;i++){
  kombint[i]=stod(komb[i]);
}

double max=kombint[0];
for(int i=1;i<6;i++){
  if(kombint[i]>max)
    max=kombint[i];}


cout << max;




return 0;


}